<!DOCTYPE html>
<html lang="en" 
      xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="_layout">

    <head>
        <meta charset="UTF-8">
        <title>Lookstiser Web App</title>
        <style>
        form{
          margin-left: 10px;   
        }
        </style>
        
        <link rel="stylesheet" th:href="@{/styles.css}"/>
    </head>
    <body>
        <div layout:fragment="content"> 
            <!-- untuk menambahkan nav-bar pencarian dan mengirim keyword -->
    <form method="get" th:action="@{/admin/students}">
        <label for="Name">Cari Lookstiser:</label>
        <input type="text" id="Name" name="keyword" th:value="${keyword}"/>
        <button type="submit" class="btn btn-primary">Cari</button>
    </form>
            <div class="container">
                <div class="text-center">
                    <h2>List of Added Lookstiser</h2>
                </div>
                <table class="table table-bordered table-striped">
                    <thead>
                        <th style="width:5%"> ID </th>
                        <th style="width: 15%">Nama </th>
                        <th style="width: 10%">NIM </th>
                        <th style="width: 5%">Januari </th>
                        <th style="width: 5%">Februari </th>
                        <th style="width: 5%">Maret </th>
                        <th style="width: 5%">April </th>
                        <th style="width: 5%">Mei </th>
                        <th style="width: 5%">Juni </th>
                        <th style="width: 10%">Kekurangan </th>
                        <th style="width: 10%">Keterangan </th>
                        <th style="width: 20%">Actions </th>
                    </thead>                    
                    <tbody>
                        <tr th:each="stdDto : ${studentDtos}">
                            <td th:text="${stdDto.id}">id</td>
                            <td th:text="${stdDto.name}">Nama</td>
                            <td th:text="${stdDto.nim}">NIM</td>
                            <td>
                                <input type="text" id="jan" name="jan" onchange="calculateKekurangan()" th:value="${stdDto.jan}" style="width: 80px;"/>
                            </td>
                            <td>
                                <input type="text" id="feb" name="feb" onchange="calculateKekurangan()" th:value="${stdDto.feb}" style="width: 80px;"/>
                            </td>
                            <td>
                                <input type="text" id="mar" name="mar" onchange="calculateKekurangan()" th:value="${stdDto.mar}" style="width: 80px;"/>
                            </td>
                            <td>
                                <input type="text" id="apr" name="apr" onchange="calculateKekurangan()" th:value="${stdDto.apr}" style="width: 80px;"/>
                            </td>
                            <td>
                                <input type="text" id="mei" name="mei" onchange="calculateKekurangan()" th:value="${stdDto.mei}" style="width: 80px;"/>
                            </td>
                            <td>
                                <input type="text" id="juni" name="juni" onchange="calculateKekurangan()" th:value="${stdDto.juni}" style="width: 80px;"/>
                            </td>
                            <td>
                                <span id="kek" th:text="${stdDto.jan + stdDto.feb + stdDto.mar + stdDto.apr + stdDto.mei + stdDto.juni - 60000}">Kekurangan</span>
                            </td>
                            <td> 
                                <span th:if="${stdDto.jan + stdDto.feb + stdDto.mar + stdDto.apr + stdDto.mei + stdDto.juni - 60000 == 0}">Lunas</span>
                                <span th:unless="${stdDto.jan + stdDto.feb + stdDto.mar + stdDto.apr + stdDto.mei + stdDto.juni - 60000 == 0}">Belum</span>
                            </td>   
                            <td> 
                                <a onclick="alert(`Anda akan mengupdate data`)" th:href="@{/admin/students/{id}/update(id=${stdDto.id})}" 
                                    class="btn btn-primary">Update </a> 
                                 <a onclick="alert(`Anda akan menghapus data`)" th:href="@{/admin/students/{id}/delete(id=${stdDto.id})}"
                                    class="btn btn-danger">Delete </a>
                            </td>                         
                        </tr>                  
                    </tbody>                
                </table>
                
                <div class="pagination">
          <ul class="paginationn">
              <li class="page-item" th:classappend="${currentPage == 1} ? disabled">
                  <a class="page-link " th:href="@{'/admin/students?' + ${keyword!=null && keyword!=''? 'keyword=' + keyword + '&' : ''} + 'page=' + ${1} + '&size=' + ${pageSize}}">Awal</a>
              </li>
              <li class="page-item" th:classappend="${currentPage == 1} ? disabled">
                  <a class="page-link " th:href="@{'/admin/students?' + ${keyword!=null && keyword!=''? 'keyword=' + keyword + '&' : ''} + 'page=' + ${currentPage - 1} + '&size=' + ${pageSize}}">&lt;</a>
              </li>
              <li class="page-item" th:classappend="${currentPage == totalPages} ? disabled">
                  <a class="page-link " th:href="@{'/admin/students?' + ${keyword!=null && keyword!=''? 'keyword=' + keyword + '&' : ''} + 'page=' + ${currentPage + 1} + '&size=' + ${pageSize}}">&gt;</a>
              </li>
              <li class="page-item" th:classappend="${currentPage == totalPages} ? disabled">
                  <a class="page-link " th:href="@{'/admin/students?' + ${keyword!=null && keyword!=''? 'keyword=' + keyword + '&' : ''} + 'page=' + ${totalPages} + '&size=' + ${pageSize}} ">akhir</a>
              </li>
              <li>
    
                <select class="form-control" onchange="location = this.value;">
                <option th:each="pageSizeOption : ${pageSizes}" 
                        th:value="@{'/admin/students?' + ${keyword != null 
                        && keyword != '' ? 'keyword=' + keyword + '&' : ''} 
                        + 'page=1&size=' + ${pageSizeOption}}"
                        th:selected="${pageSizeOption == pageSize}">
                    <span th:text="${pageSizeOption}"></span>
                </option>
                </select>
               </li>
          </ul>
      </div>
                <div th:if="${notFound}">
                    <div class="popup">
                    <p>Data tidak ditemukan!</p>
                    </div>
                </div>
            </div>            
        </div>
        
         
        
        <script>
            function calculateKekurangan() {
                var jan = parseInt(document.getElementById('jan').value);
                var feb = parseInt(document.getElementById('feb').value);
                var mar = parseInt(document.getElementById('mar').value);
                var apr = parseInt(document.getElementById('apr').value);
                var mei = parseInt(document.getElementById('mei').value);
                var juni = parseInt(document.getElementById('juni').value);
                
                var total = jan + feb + mar + apr + mei + juni - 60000;
        
                document.getElementById('kek').textContent = total;
            }
        </script>
    </body>
</html>
